@media (min-width: 0px) and (max-width: 768px){

.nav-links a.active {
    position: relative;
    padding-bottom: 18px;
    margin-bottom: -38px;
    }

}

/* ============================================
   RESPONSIVE DESIGN
   ============================================ */
@media (max-width: 1024px) {

    .hero {
        padding-top: 300px;
        min-height: 10vh;
    }

    .hero-title {
        font-size: 40px;
    }

    .hero-container {
        gap: 40px;
    }
    
    .hero-content {
        width: 450px;
        max-width: 1200px;
        padding: 50px 0;
        margin-top: -250px;
    }

    .hero-image-wrapper {
        position: relative;
        height: 520px;
        margin-top: -250px;
        margin-left: -60px;
    }

    .stats-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }


    .values-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .footer-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 769px) and (max-width: 1023px) {
    
    .nav-links {
        display: none;
        position: absolute;
        top: 80px;
        left: 0;
        right: 0;
        background: var(--white);
        flex-direction: column;
        padding: 20px;
        box-shadow: 0 10px 30px rgba(0,0,0,0.1);
        gap: 16px;
        z-index: 999;
    }

    .nav-links.mobile-open {
        display: flex;
    }

    .nav-links a.active {
        position: relative;
        padding-bottom: 20px;
        margin-bottom: -28px;
    }

    .mobile-menu-btn {
        display: block;
    }

    .nav-links a.active::after {
        bottom: 2px;
    }
    .hero {
        padding-top: 400px;
        min-height: 10vh;
    }
    .hero-container {
        gap: 20px;
    }

    .hero-content {
        width: 350px;
        max-width: 1200px;
        padding: 50px 0;
        margin-top: -350px;
    }

    .hero-image-wrapper {
        position: relative;
        height: 520px;
        margin-top: -350px;
        margin-left: -60px;
    }

    .stats-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .cta-banner-content {
        gap: 20px;
    }

    .btn-primary {
        width: 210px;
    }

}

@media (min-width: 481px) and (max-width: 768px) {

    .hero {
        height: 1300px;
        display: flex;
        flex-direction: column;
    }

    .hero-image-wrapper {
        position: relative;
        height: 520px;
        margin-top: -80px;
        margin-left: 2px;
    }

    .hero-image-overlay {
       display: none;
    }

    .hero-image-main {
        height: 120%;
        margin-right: 50px;
       object-fit: contain; 
    }

    .hero-image-main img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

    .hero-logo-badge {
        position: absolute;
        right: 140px;
        top: 58%;
    }

    .footer-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .footer-tagline {
        width: 300px;
    }
}

@media (max-width: 768px) {
    .nav-links {
        display: none;
        position: absolute;
        top: 80px;
        left: 0;
        right: 0;
        background: var(--white);
        flex-direction: column;
        padding: 20px;
        box-shadow: 0 10px 30px rgba(0,0,0,0.1);
        gap: 16px;
        z-index: 999;
    }

     .nav-links a.active::after {
        content: '';
        position: absolute;
        bottom: 4px;
        left: 0;
        right: 0;
        height: 3px;
        background: var(--accent-blue);
        border-radius: 2px 2px 0 0;
    }

    .nav-links.mobile-open {
        display: flex;
    }

    .mobile-menu-btn {
        display: block;
    }

    .hero-container {
        grid-template-columns: 1fr;
        text-align: center;
        padding: 60px 24px;
        margin-bottom: -30%;
    }

    .hero-content {
        width: 100%;
        padding: 80px 0;
        text-align: center;
        max-width: 100%;
        margin-left: 2px;
    }
    .hero-title {
        font-size: 36px;
    }

    .stats-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .story-grid {
        grid-template-columns: 1fr;
    }

    .story-images {
        height: 300px;
    }

    .values-grid {
        grid-template-columns: 1fr;
    }

    .team-grid {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .team-content p {
        max-width: 100%;
    }

    .team-map {
        height: 300px;
    }

    .cta-banner-content {
        flex-direction: column;
        text-align: center;
    }

    .footer-bottom-content {
        flex-direction: column;
        gap: 12px;
        text-align: center;
    }

    .footer-bottom-links {
        display: flex;
        align-items: center;
        gap: 20px;
    }

    .lang-switcher {
        display: flex;
    }

}


@media (min-width: 401px) and (max-width: 480px) {
    .hero{
        height: 1000px;
        display: flex;
        flex-direction: column;
    }

    .hero-title {
        font-size: 28px;
    }

    .hero-content {
        width: 100%;
        padding: 80px 0;
        text-align: center;
        max-width: 100%;
        margin-left: 2px;
    }

    .hero-image-wrapper {
        position: relative;
        height: 520px;
        margin-top: -80px;
        margin-left: 25px;
    }

    .hero-image-main {
        height: 50%;
        margin-right: 18%;
       object-fit: contain; 
    }

    .hero-image-main img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

    .hero-image-overlay {
        position: absolute;
        right: 14px;
        top: 0;
        width: 100%;
        height: 50%;
    }

    .hero-desc {
        margin-left: -15px;
    }

    .hero-logo-badge {
        position: absolute;
        right: 80px;
        top: 28%;
    }

    .stats-grid {
        grid-template-columns: 1fr 1fr;
        gap: 12px;
    }

    .stat-number {
        font-size: 22px;
    }

    .footer-grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

}

@media (min-width: 0px) and (max-width: 400px) {
    
    .hero{
        height: 1100px;
        display: flex;
        flex-direction: column;
    }

    .hero-content {
        width: 100%;
        padding: 80px 0;
        text-align: center;
        max-width: 100%;
        margin-left: 2px;
    }

    .hero-image-wrapper {
        position: relative;
        height: 520px;
        margin-top: -80px;
        margin-left: -0px;
    }

    .hero-image-main {
        height: 50%;
        margin-right: 18%;
       object-fit: contain; 
    }

    .hero-image-overlay {
        position: absolute;
        right: 2px;
        top: 0;
        width: 100%;
        height: 50%;
    }

    .hero-logo-badge {
        position: absolute;
        right: 80px;
        top: 28%;
    }

    .footer-grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

}

